Bug 527538 - snd-hda-intel flooding /var/log/messages
Summary: snd-hda-intel flooding /var/log/messages
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-06 20:42 UTC by Michal Hlavinka
Modified: 2010-12-04 07:32 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-04 07:32:50 UTC
Type: ---


Attachments (Terms of Use)
/var/log/messages (85.23 KB, text/plain)
2009-10-06 20:50 UTC, Michal Hlavinka
no flags Details
alsa-info output (1.27 KB, text/plain)
2009-10-06 20:51 UTC, Michal Hlavinka
no flags Details
full alsainfo with same problems (31.98 KB, text/plain)
2009-11-29 07:00 UTC, Eugene Savelov
no flags Details
alsa-info output (3.09 KB, text/plain)
2010-01-10 23:20 UTC, Colin Brace
no flags Details

Description Michal Hlavinka 2009-10-06 20:42:43 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Michal Hlavinka 2009-10-06 20:47:00 UTC
(I accidentally hit return)

Description of problem:
when playing sound, /var/log/messages are flooded with alsa errors

Version-Release number of selected component (if applicable):
alsa-lib-1.0.21-3.fc12.x86_64
alsa-plugins-pulseaudio-1.0.21-2.fc12.x86_64
alsa-utils-1.0.21-2.fc12.x86_64
kernel-2.6.31.1-58.fc12.x86_64

How reproducible:
always

Steps to Reproduce:
1.play some sound
2.
3.

Actual results:
Oct  6 22:33:06 mihlnb kernel: ALSA sound/pci/hda/hda_intel.c:691: azx_get_response timeout, switching to polling mode: last cmd=0x00170503
Oct  6 22:33:07 mihlnb kernel: ALSA sound/pci/hda/hda_intel.c:715: hda_intel: azx_get_response timeout, switching to single_cmd mode: last cmd=0x00170503
Oct  6 22:33:07 mihlnb kernel: ALSA sound/pci/hda/hda_intel.c:639: spurious response 0x0:0x0, last cmd=0x1170503
Oct  6 22:33:07 mihlnb kernel: ALSA sound/pci/hda/hda_intel.c:639: spurious response 0x0:0x0, last cmd=0x1170503
Oct  6 22:33:07 mihlnb kernel: ALSA sound/pci/hda/hda_intel.c:639: spurious response 0x0:0x0, last cmd=0x1170503
Oct  6 22:33:07 mihlnb kernel: ALSA sound/pci/hda/hda_intel.c:639: spurious response 0x0:0x0, last cmd=0x1270503
Oct  6 22:33:07 mihlnb kernel: ALSA sound/pci/hda/hda_intel.c:639: spurious response 0x0:0x0, last cmd=0x1270503
Oct  6 22:33:07 mihlnb kernel: ALSA sound/pci/hda/hda_intel.c:639: spurious response 0x0:0x0, last cmd=0x1270503
Oct  6 22:33:07 mihlnb kernel: ALSA sound/pci/hda/hda_intel.c:639: spurious response 0x0:0x0, last cmd=0x1270503
Oct  6 22:33:07 mihlnb kernel: ALSA sound/pci/hda/hda_intel.c:639: spurious response 0x0:0x0, last cmd=0x1270503
Oct  6 22:33:07 mihlnb kernel: ALSA sound/pci/hda/hda_intel.c:639: spurious response 0x0:0x0, last cmd=0x1270503
Oct  6 22:33:07 mihlnb kernel: ALSA sound/pci/hda/hda_intel.c:639: spurious response 0x0:0x0, last cmd=0x1370503
Oct  6 22:33:07 mihlnb kernel: ALSA sound/pci/hda/hda_intel.c:639: spurious response 0x0:0x0, last cmd=0x1370503
Oct  6 22:33:07 mihlnb kernel: ALSA sound/pci/hda/hda_intel.c:639: spurious response 0x0:0x0, last cmd=0x1370503
Oct  6 22:33:07 mihlnb kernel: ALSA sound/pci/hda/hda_intel.c:639: spurious response 0x0:0x0, last cmd=0x1370503
Oct  6 22:33:07 mihlnb kernel: ALSA sound/pci/hda/hda_intel.c:639: spurious response 0x0:0x0, last cmd=0x1370503
Oct  6 22:33:07 mihlnb kernel: ALSA sound/pci/hda/hda_intel.c:639: spurious response 0x0:0x0, last cmd=0x1470503
Oct  6 22:33:07 mihlnb kernel: ALSA sound/pci/hda/hda_intel.c:639: spurious response 0x0:0x0, last cmd=0x1470503
Oct  6 22:33:07 mihlnb kernel: ALSA sound/pci/hda/hda_intel.c:639: spurious response 0x0:0x0, last cmd=0x1470503
Oct  6 22:33:07 mihlnb kernel: ALSA sound/pci/hda/hda_intel.c:639: spurious response 0x0:0x0, last cmd=0x1470503
Oct  6 22:33:07 mihlnb kernel: ALSA sound/pci/hda/hda_intel.c:639: spurious response 0x0:0x0, last cmd=0x1470503
...

Expected results:
no error messages in log

Additional info:
smolt profile

http://www.smolts.org/client/show/pub_d247091d-bf8f-48d2-9cdb-68a6f092c9d3

Comment 2 Michal Hlavinka 2009-10-06 20:50:03 UTC
Created attachment 363895 [details]
/var/log/messages

Comment 3 Michal Hlavinka 2009-10-06 20:51:10 UTC
Created attachment 363896 [details]
alsa-info output

Comment 4 Bug Zapper 2009-11-16 13:20:44 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Eugene Savelov 2009-11-29 07:00:31 UTC
Created attachment 374518 [details]
full alsainfo with same problems

Attaching my alsa-info file, having the same issues
In this configuration microphone is not working reliably, loosing some sounds when recording

Comment 6 Colin Brace 2010-01-10 23:20:28 UTC
Created attachment 382893 [details]
alsa-info output

I am also encountering the same problem on a Eee PC netbook. In addition, audio dies at this point. My only recourse to restore sound is to reboot the system. This occurs frequently; from several minutes to several hours of uptime.

From dmesg:

[...]
ALSA sound/pci/hda/hda_intel.c:691: azx_get_response timeout, switching to polling mode: last cmd=0x015f0900
ALSA sound/pci/hda/hda_intel.c:715: hda_intel: azx_get_response timeout, switching to single_cmd mode: last cmd=0x015f0900
ALSA sound/pci/hda/hda_intel.c:639: spurious response 0x0:0x0, last cmd=0x15f0900
ALSA sound/pci/hda/hda_intel.c:639: spurious response 0x0:0x0, last cmd=0x1470740
ALSA sound/pci/hda/hda_intel.c:639: spurious response 0x0:0x0, last cmd=0x23a022
ALSA sound/pci/hda/hda_intel.c:639: spurious response 0x0:0x0, last cmd=0x239022
ALSA sound/pci/hda/hda_intel.c:639: spurious response 0x0:0x0, last cmd=0x143a000
[...]

Comment 7 João Carlos Mendes Luís 2010-03-01 12:48:39 UTC
More info at http://www.alsa-project.org/db/?f=9eceb1805547b086f5441c2208e00905888094ae

Somehow, I think this is indeed related to pulseaudio, but I may be wrong.

Comment 8 Bug Zapper 2010-11-04 09:36:47 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 Bug Zapper 2010-12-04 07:32:50 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.